package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Formf;
import com.realnet.basicp1.Services.FormfService ;




@RequestMapping(value = "/Formf")
 @CrossOrigin("*") 
@RestController
public class FormfController {
	@Autowired
	private FormfService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Formf")
		  public Formf Savedata(@RequestBody Formf data) {
		Formf save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Formf/{id}")
	public  Formf update(@RequestBody Formf data,@PathVariable Integer id ) {
		Formf update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Formf/getall/page")
	public Page<Formf> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Formf> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Formf")
	public List<Formf> getdetails() {
		 List<Formf> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Formf")
	public List<Formf> getallwioutsec() {
		 List<Formf> get = Service.getdetails();		
		return get;
}
@GetMapping("/Formf/{id}")
	public  Formf  getdetailsbyId(@PathVariable Integer id ) {
		Formf  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Formf/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}





}